@import url(global.css);
@import url(draw-container.css);
@import url(draw-result.css);
@import url(instructions.css);

main {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 2.75rem 2.25rem;
    margin-bottom: 3rem;

    &>img {
        max-width: 10.75rem;
        height: auto;
        margin-bottom: 2.875rem;
    }
}

header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 2.625rem;

    & div {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: 0.5rem;

        & p {
            font: var(--overline);
            text-transform: uppercase;

            background: var(--gradient-border);
            background-clip: text;
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
        }

        & h1 {
            font: var(--display-medium);
            text-transform: uppercase;
        }
    }

}

@media (min-width: 1124px) {

    main {
        width: 68.75rem;
        height: auto;
        padding: 0;

        &>img {
            margin-right: auto;
            margin-bottom: 89px;
        }

        & .wrapper {
            display: grid;
            grid-template-areas:
                "header draw-container"
                "instructions draw-container";
            grid-template-columns: 31.875rem 30.125rem;
            grid-template-rows: auto auto;
            gap: 0 6.75rem;
            padding: 0;
        }
    }

    header {
        grid-area: header;
        align-self: center;
        margin: 0;

        & div {
            gap: 0.75rem;

            & h1 {
                font: var(--display-large);
                margin-bottom: 2.375rem;
            }
        }
    }

    .instructions {
        grid-area: instructions;
        align-self: center;
        max-width: 24.125rem;
        margin: 0;
    }

    .draw-container {
        grid-area: draw-container;
        justify-content: center;

        & .draw-header p {
            font: var(--paragraph-large);
        }
    }

    .draw-result {
        grid-area: draw-result;
    }
}